"""Auction module views."""

from django.contrib.auth.mixins import LoginRequiredMixin, PermissionRequiredMixin
from django.views.generic import TemplateView


class AuctionIndexView(LoginRequiredMixin, PermissionRequiredMixin, TemplateView):
    """Auction index."""

    permission_required = "ferda_auction.can_view"
    template_name = "ferda_auction/auction.html"
